<template>
  <section class="px-4 pt-5 pb-24">
    <span
      class="font-semibold text-xl mb-5 text-200 base:text-lg small:text-base"
      >Kategori Produk</span
    >
    <div
      class="grid gap-5 base:gap-4 grid-cols-category base:grid-cols-basecategory small:grid-cols-smallcategory justify-items-center pt-8"
    >
      <div v-for="data in category" :key="data">
        <router-link
          :to="`/category/${data}`"
          class="w-16 flex items-center justify-center flex-col gap-2 cursor-pointer"
        >
          <img
            v-if="data === 'smartphones'"
            src="../../../assets/img-category/smartphones.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'laptops'"
            src="../../../assets/img-category/laptops.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'fragrances'"
            src="../../../assets/img-category/fragrances.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'skincare'"
            src="../../../assets/img-category/skincare.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'groceries'"
            src="../../../assets/img-category/groceries.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'home-decoration'"
            src="../../../assets/img-category/home-decoration.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'furniture'"
            src="../../../assets/img-category/furniture.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'tops'"
            src="../../../assets/img-category/tops.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'womens-dresses'"
            src="../../../assets/img-category/women-dresses.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'womens-shoes'"
            src="../../../assets/img-category/women-shoes.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'mens-shirts'"
            src="../../../assets/img-category/mens-shirts.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'mens-shoes'"
            src="../../../assets/img-category/mens-shoes.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'mens-watches'"
            src="../../../assets/img-category/mens-watches.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'womens-watches'"
            src="../../../assets/img-category/womens-watches.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'womens-bags'"
            src="../../../assets/img-category/womens-bags.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'womens-jewellery'"
            src="../../../assets/img-category/womens-jewellery.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'sunglasses'"
            src="../../../assets/img-category/sunglasses.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'automotive'"
            src="../../../assets/img-category/automotive.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'motorcycle'"
            src="../../../assets/img-category/motorcycle.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <img
            v-if="data === 'lighting'"
            src="../../../assets/img-category/lighting.png"
            alt="category"
            class="w-[60%] base:w-[55%] small:w-[45%]"
          />
          <p
            class="font-normal text-base text-center base:text-sm small:text-xs"
          >
            {{ data }}
          </p>
        </router-link>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: "CategoryList",
  props: ["category"],
};
</script>
